#------------------------------------------------------------------------
# Universidade Estadual de Santa Cruz - UESC
# CET076 - Metodologia e Estatstica Experimental
# Curso: Agronomia
# Prof.: Jos Cludio Faria
# Data: 20/12/2022 11:22:54
#------------------------------------------------------------------------
# Objetivos:
# Exemplificar a anlise no R de um experimento em faixas
#------------------------------------------------------------------------

#. Leitura e transformao de dados
efx <- read.table('efaixas.txt',
                  colClasses=c('factor',
                               'factor',
                               'factor',
                               'integer'),
                  header=T)

str(efx)
efx

#. Experimento em faixas
#.. Pacote ExpDes.pt
library(ExpDes.pt)

# faixas:  funo do pacote ExpDes.pt
str(faixas)

# a funo pode ser chamada assim
str(efx)
faixas(efx$A,
       efx$B,
       efx$Blo,
       efx$Y,
       fac.names = c('A',
                     'B'))

# Ou assim
with(efx,
 {faixas(A,
         B,
         Blo,
         Y,
         fac.names=c('Fator A',
                     'Fator B'))
 }
)
